Subject: bug#2151: 23.0.90; Building the 23.0.90 pretest recompiles Lisp files

From: Stefan Monnier <[email-masked]>
Date: Fri, 27 Feb 2009 23:48:51 -0500

> A new idea: can we avoid the `boot=bootstrap-emacs$(EXEEXT)' thing in
> top-level Makefile.in by testing for some file that is only present
> when Emacs is built out of CVS?  For example, the `admin' directory is
> not in the pretest/release tarballs; can we test for its existence and
> invoke sub-Make's with `boot=""' if `admin' is not there?

I am not interested in adding hacks specifically to speed up building
from the tarball.  I just installed the patch that prevents recompiling
all the .elc files just because the src/bootstrap-emacs isn't present.
This should bring down the unnecessary work to just an extra redundant
dump, while still being "correct" in the sense that it should correctly
react to most kinds of file modifications.  Also it may occasionally be
useful for people using the CVS code.

        Stefan